<?php
define('WP_VERSION', $wp_version);
if (WP_VERSION < 2.9): // disable theme front end if wp < 2.9

  function mypress_unsupported_wp_version(){ ?>
  <div class='error fade'>
   <p>
   <?php
    echo 'وب سایت شما بر روی وردپرس '.WP_VERSION.' اجرا می شود و مای پرس ، نیازمند وردپرس 2.9 است. <b><a href="http://codex.wordpress.org/Upgrading_WordPress">آموزش ارتقاء</a></b>';
	if (current_user_can('switch_themes') && !is_admin()) echo '<br /><a href="'.get_bloginfo('wpurl').'/wp-admin/">پیش خوان</a>';
   ?>
   </p>
  </div>
  <?php  if(!is_admin()) die(); 
  }

  add_action('admin_notices', 'mypress_unsupported_wp_version');
  add_action('wp', 'mypress_unsupported_wp_version');

endif;
// Register The Sidebar
register_sidebar(array(
	'id' => 'right',
	'name' => 'سایدبار راست',
	'description' => 'سایدبار سمت راست قالب برای استفاده از ابزارک',
	'before_widget' => '',
	'before_title' => '<div class="sid">
	<div class="sid-head">     <div style="text-align: right;"><span style="color: rgb(255, 255, 255); font-weight: bold; font-family: Tahoma; font-size: 10pt; ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
	',
	'after_title' => '</span></div>	</div><div class="sid-in"><div class="category">',
	'after_widget' => '      	</div></div>
	<div class="sid-foot"></div>
</div>
<!---endsidpart--->
',
));
register_sidebar(array(
	'id' => 'left',
	'name' => 'سایدبار چپ',
	'description' => 'سایدبار سمت چپ قالب برای استفاده از ابزارک',
	'before_widget' => '',
	'before_title' => '<div class="sid">
	<div class="sid-head">     <div style="text-align: right;"><span style="color: rgb(255, 255, 255); font-weight: bold; font-family: Tahoma; font-size: 10pt; ">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
	',
	'after_title' => '</span></div>	</div><div class="sid-in"><div class="category">',
	'after_widget' => '      	</div></div>
	<div class="sid-foot"></div>
</div>
<!---endsidpart--->
',
));
////////////////////////////////////////////////////////
// Widgets - Original Functions
// Get TagClouds
function cloud_wid(){
wp_tag_cloud(apply_filters('widget_tag_cloud_args', array()));
}
// Get Categories
function category_wid() {
               wp_list_categories('orderby=name&title_li=&nbsp;');
}
// Get Archives
function archive_wid() {
 //wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount)));
              if($postcount):
               wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount)));
              else:
               wp_get_archives(apply_filters('widget_archives_args', array('type' => 'monthly', 'show_post_count' => $postcount)));
              endif;
}
// Get Last Comments
function lastcom_wid(){
			   the_widget('WP_Widget_Recent_Comments', array('title'=>'&nbsp;'), array('widget_id'=>'WP_Widget_Recent_Posts','before_widget' => '','after_widget' => '','before_title' => '<!-- ','after_title' => ' -->')); 
}
// Get Links Widget with: WP_Widget_Links
function linkdooni_wid(){
the_widget('WP_Widget_Links', array('title'=>'&nbsp;'), array('widget_id'=>'WP_Widget_Links','before_widget' => '','after_widget' => '','before_title' => '<!-- ','after_title' => ' -->'));
}
// Get Last Posts
function recent_wid(){
the_widget('WP_Widget_Recent_Posts', array('title'=>'&nbsp;'), array('widget_id'=>'WP_Widget_Recent_Posts','before_widget' => '','after_widget' => '','before_title' => '<!-- ','after_title' => ' -->'));
}
function meta_wid(){
the_widget('WP_Widget_Meta', array('title'=>'&nbsp;'), array('widget_id'=>'WP_Widget_Meta','before_widget' => '','after_widget' => '','before_title' => '<!-- ','after_title' => ' -->'));
}
  // end of line character
  if(!defined("PHP_EOL")) define("PHP_EOL", strtoupper(substr(PHP_OS,0,3) == "WIN") ? "\r\n" : "\n");

////////////////////////////////////////
// MyPress Configuration and Settings
if(is_admin()) require_once(TEMPLATEPATH.'/admin/theme-settings.php');
include TEMPLATEPATH."/data/config.php";
?>